# optimsimplex_xbar

Returns the center of n vertices.

## Calling Sequence

                cen = optimsimplex_xbar(opt, iexcl)

## Argument

opt

  The current simplex object of TSIMPLEX type (tlist).

iexcl

  The index of the vertex to exclude in center computation. The default value of `iexcl` is the number of vertices: in that case, if the simplex is sorted in increasing function value order, the worst vertex is excluded.

cen

  A row vector.

## Description

The `optimsimplex_xbar` function returns the center of n vertices, by excludin the vertex with index `iexcl`.

## Example

    s1 = optimsimplex_new ();
    simplex = [
    3.      -1      1
    4.      -3      2
    5.      4       5
    ];
    s1 = optimsimplex_setall ( s1 , simplex );
    cen = optimsimplex_xbar ( s1 );
    disp(cen)

    s1 = optimsimplex_destroy(s1);

## See Also

- optimsimplex_new